Returns the API tokens for the specified environment.
GET
/
environments
/
{environmentId}
/
tokens
Get API tokens for the environment
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/tokens \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/tokens"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokens": [
{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"checksum": "4n3LFC",
"createdBy": {
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"alias": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com"
},
"createdAt": "2023-11-07T05:31:56Z",
"note": "<string>",
"projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
"projectEnvironment": {
"id": "95b11417-f18f-457f-8804-68e361f9164f"
},
"scopes": []
}
]
}{
"error": "No jwt provided!"
}{
"error": "Access Forbidden"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
List of tokens
List of environment API token objects
Show child attributes
Show child attributes
Last modified on July 29, 2026
Was this page helpful?
Previous
Create an API token for the environmentCreates a new API token for the specified environment.
Next
⌘I
Get API tokens for the environment
